List Image Prewarm Tasks
curl --request GET \
--url https://api.novita.ai/gpu-instance/openapi/v1/image/prewarm \
--header 'Authorization: <authorization>' \
--header 'Content-Type: <content-type>'import requests
url = "https://api.novita.ai/gpu-instance/openapi/v1/image/prewarm"
headers = {
"Content-Type": "<content-type>",
"Authorization": "<authorization>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': '<content-type>', Authorization: '<authorization>'}
};
fetch('https://api.novita.ai/gpu-instance/openapi/v1/image/prewarm', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"imageName": "<string>",
"imageUrl": "<string>",
"repositoryAuth": "<string>",
"clusterId": "<string>",
"clusterName": "<string>",
"products": [
{
"productId": "<string>",
"productName": "<string>"
}
],
"imageSize": "<string>",
"createTime": "<string>",
"state": "<string>",
"completeTime": "<string>",
"note": "<string>",
"reason": [
"<string>"
]
}
],
"total": 123
}Image
List Image Prewarm Tasks
GET
/
gpu-instance
/
openapi
/
v1
/
image
/
prewarm
List Image Prewarm Tasks
Request Headers
string
必須
Enum:
application/jsonstring
必須
Bearer authentication format, for example: Bearer {{API Key}}.
Query Parameters
integer
Page number. Default: 1.
integer
Page size. Default: 10.
string
Prewarm task state. Valid values:
Pending, Running, Succeeded, Failed.string
Cluster ID.
string
Image name or task note for fuzzy matching.
Response
object[]
必須
List of prewarm tasks.
非表示 properties
非表示 properties
string
必須
Prewarm task ID.
string
必須
Image name (the last segment of the image URL without the tag).
string
必須
Image URL.
string
Image registry authentication ID.
string
必須
Cluster ID.
string
必須
Cluster name.
string
Image size in bytes.
string
必須
Task creation time (Unix timestamp in seconds).
string
必須
Task state. Valid values:
Pending, Running, Succeeded, Failed.string
Task completion time (Unix timestamp in seconds).
string
Task note.
string[]
Reason messages.
integer
必須
Total number of tasks.
最終更新日 2026年5月15日
⌘I